Bug 91132 - maintainer update port net/pathneck
Summary: maintainer update port net/pathneck
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-31 09:40 UTC by babak
Modified: 2006-01-01 01:58 UTC (History)
0 users

See Also:


Attachments
pathneck.patch (853 bytes, patch)
2005-12-31 09:40 UTC, babak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description babak 2005-12-31 09:40:02 UTC
	
Author has silently updated the software without changing the version
Comment 1 Emanuel Haupt freebsd_committer 2005-12-31 14:56:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 2 Emanuel Haupt freebsd_committer 2005-12-31 16:42:54 UTC
Can you summarize what was changed?

Thanks in advance,
Emanuel

-- 
GnuPG key id: 0x55E67774         Download: http://pgp.mit.edu:11371
Key fingerprint: 17B3 FD8F BA68 4AB4 10FD  A9D1 AD52 6588 55E6 7774
Comment 3 Emanuel Haupt freebsd_committer 2005-12-31 16:43:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainer feedback.
Comment 4 babak 2005-12-31 19:29:09 UTC
Hello Emanuel,

Saturday, December 31, 2005, 8:12:54 PM, you wrote:

> Can you summarize what was changed?

> Thanks in advance,
> Emanuel


It was actually a simple constraints check:

diff -ruN pathneck-1.2.old/pathneck.c pathneck-1.2/pathneck.c
--- pathneck-1.2.old/pathneck.c Sun Nov  7 00:00:03 2004
+++ pathneck-1.2/pathneck.c     Sun Dec 25 20:34:39 2005
@@ -539,7 +539,7 @@
                        continue;

                    /* if "-c" is specified, rtt_i could exceed MAX_RTT_NUM */
-                   if (rtt_i < MAX_RTT_NUM) {
+                   if (rtt_i < MAX_RTT_NUM && len == 60) {
                        memcpy(rtt_rec[rtt_i], buffer, len);
                        rtt_arr_time[rtt_i] = get_time();
                        pre_time = rtt_arr_time[rtt_i];


-- 
Best regards,
 Babak                            mailto:babak@farrokhi.net
Comment 5 Emanuel Haupt freebsd_committer 2006-01-01 01:57:04 UTC
State Changed
From-To: feedback->closed

Committed, thanks for clarifying.